
From: Bert Wesarg <wesarg@informatik.uni-halle.de>

This patch fix 3 calls to module_param_string() in
driver/media/video/tuner-core.c and drivers/media/video/tda9887.c.  In all
three places, the len and the perm parameter was switched.

Signed-off-by: Bert Wesarg <wesarg@informatik.uni-halle.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/tda9887.c    |    4 ++--
 25-akpm/drivers/media/video/tuner-core.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/tda9887.c~fix-module_param_string-calls drivers/media/video/tda9887.c
--- 25/drivers/media/video/tda9887.c~fix-module_param_string-calls	2005-03-28 17:23:42.000000000 -0800
+++ 25-akpm/drivers/media/video/tda9887.c	2005-03-28 17:23:42.000000000 -0800
@@ -478,9 +478,9 @@ static int tda9887_set_pinnacle(struct t
 /* ---------------------------------------------------------------------- */
 
 static char pal[] = "-";
-module_param_string(pal, pal, 0644, sizeof(pal));
+module_param_string(pal, pal, sizeof(pal), 0644);
 static char secam[] = "-";
-module_param_string(secam, secam, 0644, sizeof(secam));
+module_param_string(secam, secam, sizeof(secam), 0644);
 
 static int tda9887_fixup_std(struct tda9887 *t)
 {
diff -puN drivers/media/video/tuner-core.c~fix-module_param_string-calls drivers/media/video/tuner-core.c
--- 25/drivers/media/video/tuner-core.c~fix-module_param_string-calls	2005-03-28 17:23:42.000000000 -0800
+++ 25-akpm/drivers/media/video/tuner-core.c	2005-03-28 17:23:42.000000000 -0800
@@ -162,7 +162,7 @@ static void set_type(struct i2c_client *
 }
 
 static char pal[] = "-";
-module_param_string(pal, pal, 0644, sizeof(pal));
+module_param_string(pal, pal, sizeof(pal), 0644);
 
 static int tuner_fixup_std(struct tuner *t)
 {
_
